server:
  port: 8085

redaction-service.url: "http://localhost:8077"
pdftron-redaction-service.url: "http://localhost:8086"
redaction-report-service.url: "http://localhost:8084"
search-service.url: "http://localhost:8088"
tenant-user-management-service.url: "http://localhost:8091/internal"


multitenancy:
  datasource-cache:
    maximumSize: 100
    expireAfterAccess: 1
  tenant:
    datasource:
      driverClassName: org.postgresql.Driver
      hikari:
        data-source-properties:
          cachePrepStmts: true
          prepStmtCacheSize: 1000
          prepStmtCacheSqlLimit: 2048
    liquibase:
      changeLog: classpath:db/changelog/db.changelog-tenant.yaml
      clear-checksums: true
    mongo:
      liquibase:
        changeLog: classpath:mongo/changelog/mongo.changelog-tenant.xml

monitoring:enabled: true
cors.enabled: true


persistence-service:
  imageServiceEnabled: false
  visualLayoutParsingEnabled: true
  nerServiceEnabled: false
  storeImageFile: false
  applicationName: RedactManager
fforesight:
  springdoc:
    auth-server-url: 'http://localhost:8080'
  jobs:
    enabled: true
#    datasource:
#      url: jdbc:postgresql://${PSQL_HOST:localhost}:${PSQL_PORT:5432}/${PSQL_DATABASE:tenantmanager}?ApplicationName=${spring.application.name:}-scheduler&cachePrepStmts=true&useServerPrepStmts=true&rewriteBatchedStatements=true
#      driverClassName: org.postgresql.Driver
#      username: ${PSQL_USERNAME:tenantmanager}
#      password: ${PSQL_PASSWORD:r3dact3d}
#      platform: org.hibernate.dialect.PostgreSQL95Dialect
#      hikari:
#        maximumPoolSize: 2
#        data-source-properties:
#          cachePrepStmts: true
#          prepStmtCacheSize: 1000
#          prepStmtCacheSqlLimit: 2048

management:
  tracing:
    enabled: false
